Ticket #28762

マウスのクリックが2回のキー入力になる

Open Date: 2012-06-16 19:05 Last Update: 2013-07-03 22:39

Reporter:
Owner:
(None)
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
6
Severity:
6
Resolution:
Fixed
File:
None

Details

4.18ではOK。4.19aではNG。

マウスのクリックの変換が、18vから19avにバージョンアップしたら、
キーが重複して変換されるようになりました。

定義ファイル:
key *MButton = *Home
または:
key u-MButton = Home
key d-MButton = &Ignore

マウスの中ボタンを一回クリックするごとにHomeキーが2回発生します。
(18vでは1回です、現在は18vに戻して使ってます。)

4.19の下記修正の影響があるものと考える。 マウスフック有効時に他のアプリのスクロールなどが遅延する不具合対応   マウス、キーボードLL Hookからの入力処理をウィンドウメッセージからキュー変数に直接代入するように変更して(yamyと同じ)、負荷を低減することで対応いたしました。

Ticket History (3/4 Histories)

2012-06-16 19:05 Updated by: applet
  • New Ticket "マウスのクリックが2回のキー入力になる" created
2013-05-05 19:02 Updated by: applet
  • Severity Update from 5 - Medium to 6
2013-05-05 19:05 Updated by: applet
  • Priority Update from 5 - Medium to 6
2013-07-03 22:39 Updated by: applet
  • Ticket Close date is changed to 2013-07-03 22:39
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

4.24にて改修しました。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login